KD Chart 2: KDChart::ChartGraphicsItem Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::ChartGraphicsItem Class Reference

`#include <ChartGraphicsItem.h>`

Inheritance diagram for KDChart::ChartGraphicsItem:

[legend]
Collaboration diagram for KDChart::ChartGraphicsItem:

[legend]
List of all members.

## Detailed Description

Graphics item used inside of the ReverseMapper.

Definition at line 41 of file ChartGraphicsItem.h.

## Public Types
enum | { Type = UserType + 1 }
## Public Member Functions
| ChartGraphicsItem (int row, int column)
| ChartGraphicsItem ()
int | column () const
int | row () const
int | type () const

## Member Enumeration Documentation

anonymous enum

Enumerator:

  Type |

Definition at line 44 of file ChartGraphicsItem.h.

    00044 { Type = UserType + 1 };

## Constructor & Destructor Documentation

ChartGraphicsItem::ChartGraphicsItem | ( |  | ) |

Definition at line 34 of file ChartGraphicsItem.cpp.

    00035     : QGraphicsPolygonItem()
    00036     , m_row( -1 )
    00037     , m_column( -1 )
    00038 {
    00039 }

ChartGraphicsItem::ChartGraphicsItem | ( | int | row,
|  | int | column |
| ) |  |  |

Definition at line 41 of file ChartGraphicsItem.cpp.

    00042     : QGraphicsPolygonItem()
    00043     , m_row( row )
    00044     , m_column( column )
    00045 {
    00046 }

## Member Function Documentation

int KDChart::ChartGraphicsItem::column | ( |  | ) | const

Definition at line 51 of file ChartGraphicsItem.h.

Referenced by KDChart::ReverseMapper::indexesAt(), and KDChart::ReverseMapper::indexesIn().

    00051 { return m_column; }

int KDChart::ChartGraphicsItem::row | ( |  | ) | const

Definition at line 50 of file ChartGraphicsItem.h.

Referenced by KDChart::ReverseMapper::indexesAt(), and KDChart::ReverseMapper::indexesIn().

    00050 { return m_row; }

int KDChart::ChartGraphicsItem::type | ( |  | ) | const

Definition at line 52 of file ChartGraphicsItem.h.

References Type.

    00052 { return Type; }

The documentation for this class was generated from the following files:

- ChartGraphicsItem.h
- ChartGraphicsItem.cpp